#ifndef photokit_h
#define photokit_h
#include "../../sim.h"

struct photokit 
{
	double photokit_points;
	double photokit_n;
	double photokit_Vexternal;
	int photokit_repeat;
	double photokit_Vss;
	double photokit_sun;
	double Rshort_photokit;
	double photokit_modulation_max;
	double photokit_modulation_fx;
};
void sim_photokit(struct device *in);
extern struct photokit photokit_config;
void photokit_load_config(struct photokit *in,struct device *dev);
void newton_aux_photokit(struct device *in,double V,double* i,double* didv,double* didphi,double* didxil,double* didxipl,double* didphir,double* didxir,double* didxipr);
double newton_photokit(struct device *in,double Vtot,int usecap);

#endif
